#
# spec file for package glibc (Version 2.2.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         glibc
Copyright:    LGPL/GPL
Summary:      The shared libraries (from the c-library-package)
Group:        System Environment/Libraries
Provides:     shlibs
Obsoletes:    shlibs
Autoreqprov:  on
Version:      2.2.4
Release:      40
BuildRoot: %{_tmppath}/glibc_build
Source:  glibc-%{version}.tar.bz2
Source1: glibc-linuxthreads-%{version}.tar.bz2
Source2: noversion.tar.gz
Source3: manpages.tar.bz2
Source4: glibc-db-2.2.4.tar.bz2
Source5: kernel-headers-2.4.9.tar.bz2
Source6: create_sparc_asm.sh
Source8: version.h
Patch:   glibc-2.2-SuSE.diff
Patch1:  glibc-2.2-noversion.diff
Patch2:  glibc-2.2.4.dns.diff
Patch3:  glibc-2.2.ipv6-2.diff
Patch4:  glibc-2.2.4.s390.diff
Patch5:  resolv.dynamic.diff
Patch6:  locales.diff
Patch7:  kernel-headers.dif
Patch8:  kernel-headers.SuSE.diff
Patch9: threads-fork.patch
Patch10: glibc-2.2.4.ldconfig.diff
Patch11: glibc-2.2.4.vfscanf.diff
Patch12: dl-cache.diff

%description
Shared C libraries - needed to run programs linked with
libc and libm libraries (almost all).
Further basic support for international codepages and
some binaries contained in the libc-source.

Authors:
--------
    Ulrich Drepper <drepper@gnu.org>
    Roland McGrath <roland@baalperazim.frob.com>
    Andreas Jaeger <aj@suse.de>
    Andreas Schwab <schwab@suse.de>
    Brendan Kehoe <brendan@lisa.cygnus.com>
    Cristian Gafton <gafton@redhat.com>
    David S. Miller <davem@redhat.com>
    Geoff Keating <geoffk@ozemail.com.au>
    H.J. Lu <hjl@gnu.org>
    Jakub Jelinek <jj@ultra.linux.cz>
    Jeff Bailey <jbailey@nisa.net>
    Mark Kettenis <kettenis@gnu.org>
    Paul Eggert <eggert@twinsun.com>
    Philip Blundell <philb@gnu.org>
    Richard Henderson <rth@cygnus.com>
    Scott Bambrough <scottb@netwinder.org>
    Thorsten Kukuk <kukuk@suse.de>
    Tim Waugh <tim@cyberelk.demon.co.uk>
    Wolfram Gloger <wmglo@dent.med.uni-muenchen.de>
    Zack Weinberg <zack@rabi.phys.columbia.edu>

SuSE series: a

%package info
Summary:      Infofiles for the GNU C library
Group:        Documentation
Provides:     libcinfo
Obsoletes:    libcinfo
Autoreqprov:  on

%description info
This package contains the documentation for the GNU C library as
info files. Due to lack of resources, this documentation is not
complete and partially out of date.

SuSE series: doc

%package html
Summary:      HTML documentation for the GNU C library
Group:        Documentation
Provides:     libchtml
Obsoletes:    libchtml
Autoreqprov:  on

%description html
This package contains the HTML documentation for the GNU C library
Due to the lack of resources, this documentation is not complete
and partially out of date.

SuSE series: doc

%package i18ndata
Summary:      Database sources for 'locale'
Group:        System Environment/Libraries
Provides:     localedb
Obsoletes:    localedb
Autoreqprov:  on

%description i18ndata
This package contains the data needed to build the locale data
files to use the internationalization features of the GNU libc.
It is normally not necessary to install this packages, the data
files are already created.

SuSE series: d

%package -n timezone
Summary:      Time zone descriptions
Group:        System Environment/Libraries
Autoreqprov:  on

%description -n timezone
These are configuration files that describe possible
time zones. With YaST, select an appropriate time zone
for your system.

Authors:
--------
    Keith Bostic
    Bob Devine
    Paul Eggert
    Robert Elz
    Guy Harris
    Mark Horton
    John Mackin
    Bradley White
    <tz@elsie.nci.nih.gov>

SuSE series: a

%package profile
Summary:      Profiling and Debugging versions of libc
Group:        Development/Libraries
Provides:     libd
Obsoletes:    libd
Autoreqprov:  on

%description profile
This package contains special versions of the GNU C library, which are
necessary for profiling and debugging.

SuSE series: d

%package devel
Summary:      Libraries for the C compiler
Group:        Development/Libraries
Provides:     libc linclude:/usr/include/linux
Obsoletes:    libc linclude
Autoreqprov:  on

%description devel
These libraries are needed to compile C code.

Authors:
--------
    Ulrich Drepper <drepper@gnu.org>
    Roland McGrath <roland@baalperazim.frob.com>
    Andreas Jaeger <aj@suse.de>
    Andreas Schwab <schwab@suse.de>
    Brendan Kehoe <brendan@lisa.cygnus.com>
    Cristian Gafton <gafton@redhat.com>
    David S. Miller <davem@redhat.com>
    Geoff Keating <geoffk@ozemail.com.au>
    H.J. Lu <hjl@gnu.org>
    Jakub Jelinek <jj@ultra.linux.cz>
    Jeff Bailey <jbailey@nisa.net>
    Mark Kettenis <kettenis@gnu.org>
    Paul Eggert <eggert@twinsun.com>
    Philip Blundell <philb@gnu.org>
    Richard Henderson <rth@cygnus.com>
    Scott Bambrough <scottb@netwinder.org>
    Thorsten Kukuk <kukuk@suse.de>
    Tim Waugh <tim@cyberelk.demon.co.uk>
    Wolfram Gloger <wmglo@dent.med.uni-muenchen.de>
    Zack Weinberg <zack@rabi.phys.columbia.edu>

SuSE series: d

%prep
rm -rf kernel-headers
%setup -q -n glibc-%{version} -a 1 -a 2 -a 3 -a 4 -b 5
%patch
# Add libNoVersion only to i386 and alpha
%ifarch i386 i686 alpha
%patch1
%endif
%patch2
%patch3
%patch4 -p1
%patch5
%patch6
%patch9
%patch10 -p1
%patch11
%patch12 -E
cd ../kernel-headers
%patch8 -p1
%patch7

%build
%ifarch i386
(cd ../kernel-headers; ln -sf asm-i386 asm)
%else
(cd ../kernel-headers; ln -sf asm-%{_target_cpu} asm)
%endif
#
# Default CFLAGS and Compiler
#
BuildFlags="$RPM_OPT_FLAGS"
BuildCC="gcc"
#
#now overwrite for some architectures
#
%ifarch sparc64
BuildFlags="-O3 -mcpu=ultrasparc -mvis -fcall-used-g7"
BuildCC="gcc -m64"
%endif
%ifarch sparc
BuildFlags="$RPM_OPT_FLAGS -fcall-used-g7"
BuildCC="gcc -m32"
%endif
%ifarch sparcv9
BuildFlags="$RPM_OPT_FLAGS -mcpu=ultrasparc -fcall-used-g7"
BuildCC="gcc -m32"
%endif
%ifarch alphaev6
BuildFlags="-mcpu=ev6"
%endif
# Add optimization for all plattforms
BuildFlags="$BuildFlags -g"
#
# Set the minimal kernel version we support
#
%ifarch i686 ia64 sparc64 s390x
EnableKernel="2.4.0"
%ifarch s390x
EnableKernel="$EnableKernel --disable-profile"
%endif
%else
EnableKernel="2.2.5"
%endif
%ifnarch i386 i686 alpha
#
# remove libNoVersion sources
#
rm -rf noversion
%endif
# hack to get a libc for POWER3, does not break ppc32
%ifarch ppc
rm -fv sysdeps/rs6000/memcopy.h
rm -fv sysdeps/powerpc/memset.S
%endif
mkdir cc
(cd cc
 CFLAGS="$BuildFlags" CC="$BuildCC" ../configure --prefix=%{_prefix} \
	--libexecdir=%{_libdir} --infodir=%{_infodir} \
	--enable-add-ons=yes --srcdir=.. --without-cvs \
	--with-headers=$RPM_BUILD_DIR/kernel-headers \
%ifarch alpha
	--disable-sanity-checks \
%endif
	--enable-kernel=$EnableKernel \
%ifarch i386
	i486-suse-linux \
%else
	%{_target_cpu}-suse-linux \
%endif
	)
%ifarch s390x
PARALLEL=`sed -n 's/# processors    : /PARALLELMFLAGS=-j/p' /proc/cpuinfo`
%endif
make -C cc $PARALLEL
make -C cc html
# make -C cc pdf
%ifnarch sparc64
%ifarch ia64 alpha s390x s390
    make -C cc -k check || echo make check failed
%else
    make -C cc check
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install_root=$RPM_BUILD_ROOT install -C cc
(cd cc; make install_root=$RPM_BUILD_ROOT install-locales -C ../localedata objdir=`pwd`)
(cd manpages; make install_root=$RPM_BUILD_ROOT install)
# Generate gconv cache
#chroot /var/tmp/glibc_build/ /usr/sbin/iconvconfig
export RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/include/asm
%ifarch sparc sparcv9 sparc64
cp -a $RPM_BUILD_DIR/kernel-headers/asm-sparc $RPM_BUILD_ROOT/usr/include
cp -a $RPM_BUILD_DIR/kernel-headers/asm-sparc64 $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/include/asm
$RPM_SOURCE_DIR/create_sparc_asm.sh $RPM_BUILD_ROOT
%else
cp -a $RPM_BUILD_DIR/kernel-headers/asm-$RPM_ARCH $RPM_BUILD_ROOT/usr/include/asm
%endif
rm -f $RPM_BUILD_ROOT/usr/include/linux
cp -a $RPM_BUILD_DIR/kernel-headers/linux $RPM_BUILD_ROOT/usr/include/linux
# Install special version.h
install -m644 %SOURCE8 $RPM_BUILD_ROOT/usr/include/linux/version.h
%ifarch ppc s390
mv $RPM_BUILD_ROOT/%{_lib}/ld.so.1 $RPM_BUILD_ROOT/%{_lib}/ld-%{version}.so
ln -sf ld-%{version}.so $RPM_BUILD_ROOT/%{_lib}/ld.so.1
%else
%ifarch ia64
mv $RPM_BUILD_ROOT/%{_lib}/ld-linux-ia64.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-%{version}.so
ln -sf ld-%{version}.so $RPM_BUILD_ROOT/%{_lib}/ld-linux-ia64.so.2
%else
%ifarch s390x
mv $RPM_BUILD_ROOT/%{_lib}/ld64.so.1 $RPM_BUILD_ROOT/%{_lib}/ld-%{version}.so
ln -sf ld-%{version}.so $RPM_BUILD_ROOT/%{_lib}/ld64.so.1
%else
mv $RPM_BUILD_ROOT/%{_lib}/ld-linux.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-%{version}.so
ln -sf ld-%{version}.so $RPM_BUILD_ROOT/%{_lib}/ld-linux.so.2
%endif
%endif
%endif
chmod a+x $RPM_BUILD_ROOT/%{_lib}/ld-%{version}.so
mkdir -p $RPM_BUILD_ROOT/usr/lib/zoneinfo
ln -sf /etc/localtime $RPM_BUILD_ROOT/usr/lib/zoneinfo/localtime
mkdir -p $RPM_BUILD_ROOT/var/adm/setup
touch $RPM_BUILD_ROOT/var/adm/setup/setup.timeconfig
# the man pages for the linuxthreads require special attention
make -C linuxthreads/man
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -m 0644 linuxthreads/man/*.3thr $RPM_BUILD_ROOT%{_mandir}/man3
cp linuxthreads/README README.threads
cp linuxthreads/FAQ.html FAQ-threads.html
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/glibc
#(cd manual; texi2html -glossary -menu -split_chapter libc.texinfo)
cp -p manual/*.html $RPM_BUILD_ROOT/usr/share/doc/glibc
(cd $RPM_BUILD_ROOT/usr/share/doc/glibc; ln -sf libc_toc.html index.html)
mkdir -p $RPM_BUILD_ROOT/etc
cp nscd/nscd.conf $RPM_BUILD_ROOT/etc
%ifarch alpha
mv -f $RPM_BUILD_ROOT/lib/libdb1.so.2.1 $RPM_BUILD_ROOT/lib/libdb.so.2.1
rm -f $RPM_BUILD_ROOT/usr/lib/libdb1.so
ln -s ../../lib/libdb.so.2.1 $RPM_BUILD_ROOT/usr/lib/libdb1.so
%else
mv -f $RPM_BUILD_ROOT/%{_lib}/libdb1.so.2 $RPM_BUILD_ROOT/%{_lib}/libdb.so.2
rm -f $RPM_BUILD_ROOT%{_libdir}/libdb1.so
ln -s  ../../%{_lib}/libdb.so.2 $RPM_BUILD_ROOT%{_libdir}/libdb1.so
%endif
mv -f $RPM_BUILD_ROOT/%{_lib}/libdb2.so.3 $RPM_BUILD_ROOT/%{_lib}/libdb.so.3
rm -f $RPM_BUILD_ROOT%{_libdir}/libdb2.so
ln -s  ../../%{_lib}/libdb.so.3 $RPM_BUILD_ROOT%{_libdir}/libdb2.so
mkdir -p $RPM_BUILD_ROOT/usr/include/db2
mv $RPM_BUILD_ROOT/usr/include/db.h $RPM_BUILD_ROOT/usr/include/db_185.h $RPM_BUILD_ROOT/usr/include/db2
rm -f $RPM_BUILD_ROOT%{_libdir}/libNoVersion*
# strip some binaries
strip $RPM_BUILD_ROOT/usr/bin/* || :
strip $RPM_BUILD_ROOT/usr/sbin/* || :
strip $RPM_BUILD_ROOT%{_libdir}/pt_chown
strip $RPM_BUILD_ROOT%{_libdir}/gconv/*.so

%clean
#rm -rf $RPM_BUILD_ROOT

%pre devel
if test -L usr/include/linux ; then
  rm -f usr/include/linux
fi
%ifarch sparc sparcv9 sparc64
if test -L usr/include/asm-sparc ; then
  rm -f usr/include/asm-sparc
fi
if test -L usr/include/asm-sparc64 ; then
  rm -f usr/include/asm-sparc64
fi
%else
if test -L usr/include/asm ; then
  rm -f usr/include/asm
fi
%endif
#
# glibc
#

%files
%config(noreplace) /etc/rpc
%config(noreplace) /etc/nscd.conf
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/ldconfig.8.gz
%doc %{_mandir}/man8/nscd.8.gz
%doc %{_mandir}/man8/rpcinfo.8.gz
%ifarch sparc64
%dir /%{_lib}
%dir %{_libdir}
%endif
/%{_lib}/ld-%{version}.so
%ifarch ppc s390
/%{_lib}/ld.so.1
%else
%ifarch ia64
/%{_lib}/ld-linux-ia64.so.2
%else
%ifarch s390x
/%{_lib}/ld64.so.1
%else
/%{_lib}/ld-linux.so.2
%endif
%endif
%endif
/%{_lib}/libBrokenLocale.so.1*
%ifarch i386 i686 alpha
/%{_lib}/libNoVersion.so.1
%endif
/%{_lib}/libSegFault.so
/%{_lib}/libanl.so.1
/%{_lib}/libc.so.6*
/%{_lib}/libcrypt.so.1*
/%{_lib}/libdb.so.2*
/%{_lib}/libdb.so.3*
/%{_lib}/libdl.so.2*
/%{_lib}/libm.so.6*
/%{_lib}/libmemusage.so
/%{_lib}/libnsl.so.1*
/%{_lib}/libnss_compat.so.2
/%{_lib}/libnss_dns.so.2
/%{_lib}/libnss_dns6.so.2
/%{_lib}/libnss_files.so.2
/%{_lib}/libnss_hesiod.so.2
/%{_lib}/libnss_nis.so.2
/%{_lib}/libnss_nisplus.so.2
/%{_lib}/libpcprofile.so
/%{_lib}/libpthread.so.0*
/%{_lib}/libresolv.so.2*
/%{_lib}/librt.so.1*
/%{_lib}/libthread_db.so.1*
/%{_lib}/libutil.so.1*
/sbin/ldconfig
/usr/share/locale
/usr/lib/locale
/usr/bin/catchsegv
/usr/bin/db2_archive
/usr/bin/db2_checkpoint
/usr/bin/db2_deadlock
/usr/bin/db2_dump
/usr/bin/db2_dump185
/usr/bin/db2_load
/usr/bin/db2_printlog
/usr/bin/db2_recover
/usr/bin/db2_stat
/usr/bin/gencat
/usr/bin/getconf
/usr/bin/getent
/usr/bin/glibcbug
/usr/bin/iconv
/usr/bin/ldd
%ifarch i386 i686 sparc sparcv9
/usr/bin/lddlibc4
%endif
/usr/bin/locale
/usr/bin/localedef
/usr/bin/mtrace
/usr/bin/pcprofiledump
/usr/bin/rpcgen
/usr/bin/sprof
/usr/bin/tzselect
/usr/bin/xtrace
%{_libdir}/gconv
%{_libdir}/pt_chown
/usr/sbin/nscd
/usr/sbin/nscd_nischeck
/usr/sbin/rpcinfo

%files devel
%doc COPYING COPYING.LIB FAQ INSTALL NEWS NOTES README BUGS CONFORMANCE INTERFACE README.threads FAQ-threads.html
%doc %{_mandir}/man3/*
%{_prefix}/include
%{_libdir}/*.o
%{_libdir}/*.so
%{_libdir}/libBrokenLocale.a
%{_libdir}/libanl.a
%{_libdir}/libbsd-compat.a
%{_libdir}/libc.a
%{_libdir}/libc_nonshared.a
%{_libdir}/libcrypt.a
%{_libdir}/libdb2.a
%{_libdir}/libdb1.a
%{_libdir}/libdl.a
%{_libdir}/libg.a
%{_libdir}/libieee.a
%{_libdir}/libm.a
%{_libdir}/libmcheck.a
%{_libdir}/libnsl.a
%{_libdir}/libpthread.a
%{_libdir}/libresolv.a
%{_libdir}/librpcsvc.a
%{_libdir}/librt.a
%{_libdir}/libutil.a
#
# glibc-info
#

%files info
%doc %{_infodir}/libc.info.gz
%doc %{_infodir}/libc.info-?.gz
%doc %{_infodir}/libc.info-??.gz
#
# glibc-html
#

%files html
%doc %{_prefix}/share/doc/glibc
#
# glibc-i18ndata
#

%files i18ndata
%{_prefix}/share/i18n
#
# timezone
#

%files -n timezone
%{_prefix}/share/zoneinfo
%{_sbindir}/zdump
%{_sbindir}/zic
%dir /usr/lib/zoneinfo
/usr/lib/zoneinfo/localtime
/var/adm/setup/setup.timeconfig
#
# glibc-profile
#
%ifnarch s390x

%files profile
%{_libdir}/libc_p.a
%{_libdir}/libdb1_p.a
%{_libdir}/libdb2_p.a
%{_libdir}/libBrokenLocale_p.a
%{_libdir}/libanl_p.a
%{_libdir}/libm_p.a
%{_libdir}/libcrypt_p.a
%{_libdir}/libpthread_p.a
%{_libdir}/libresolv_p.a
%{_libdir}/libnsl_p.a
%{_libdir}/librt_p.a
%{_libdir}/librpcsvc_p.a
%{_libdir}/libutil_p.a
%{_libdir}/libdl_p.a
%endif

%changelog -n glibc
* Thu Sep 13 2001 - aj@suse.de
- Add a better version of the threads-fork patch that fixes some
  more places where interrupts can occur and does this a bit cleaner.
* Tue Sep 11 2001 - aj@suse.de
- Remove patch from 2001-09-10 since it breaks the dynamic linker.
* Tue Sep 11 2001 - aj@suse.de
- Fix bug in linuxthreads where manager and threads could
  get out of synch due to an interrupted read call.
* Mon Sep 10 2001 - schwab@suse.de
- Fix handling of dependent dynamic objects dor dlopen/dlclose.
* Sat Sep 08 2001 - kukuk@suse.de
- Don't create gconv cache (else iconv --list seg.faults)
* Tue Aug 28 2001 - aj@suse.de
- Improve dynamic linker to relocate dynamic objects faster.  This
  implies a small cache for symbol lookups and handling the ld -z combreloc
  feature if binaries are linked this way.
* Fri Aug 24 2001 - kukuk@suse.de
- Add fix for handling of %%l[] in vfscanf
- ldconfig removes stale links now
- Remove susehelp config files, now in susehelp itself
* Wed Aug 22 2001 - aj@suse.de
- Update s390 patch from IBM.
* Fri Aug 17 2001 - kukuk@suse.de
- Adjust dns6 patch for 2.2.4
- Fix spec file (include lost libnss_dns6.so)
- Fix versionnumber in version.h [Bug #9759]
- Update kernel-header to 2.4.9
* Thu Aug 16 2001 - aj@suse.de
- Update to 2.2.4 final.  Add s390-ucontext patch.
* Fri Aug 10 2001 - aj@suse.de
- Update to current glibc version.  Do not use the hardlink program
  for compatification since localedef will do this itself now.
  Create gconv cache.
* Wed Aug 01 2001 - aj@suse.de
- Add patch for zic to create copy of the timezone instead
  of a symbolic link so that the file exists even if /usr is not
  mounted.
  Use i486 instead of i386 as default architecture for i386.
* Sat Jul 28 2001 - kukuk@suse.de
- Fix problem with linux/spinlock.h
* Fri Jul 27 2001 - kukuk@suse.de
- Update kernel-header files to 2.4.7
* Thu Jul 26 2001 - froh@suse.de
- add fix for failing tst-setcontext on s390
* Wed Jul 25 2001 - aj@suse.de
- Add patch to fix loading of dynamic libs in static programs for PPC.
* Fri Jul 20 2001 - kukuk@suse.de
- Update to current CVS snapshot
- Disable tst-regex and test-lfs
* Fri Jul 06 2001 - kukuk@suse.de
- Add da_DK@euro and da_DK.UTF-8
* Thu Jul 05 2001 - kukuk@suse.de
- Update to current CVS snapshot
- Remove obsolete cvs patch
- Fix DNS/IPv6 patch
- Hardlink equal locale files
* Fri Jun 22 2001 - olh@suse.de
- add glibc-2.2.3-ppc_dlmachine.diff to fix binutils make check
* Tue Jun 19 2001 - aj@suse.de
- Fix profiling on PowerPC.
* Tue Jun 19 2001 - bk@suse.de
- added s390x support to spec file
* Fri Jun 15 2001 - schwab@suse.de
- Fixup asm-ia64/atomic.h for user-space inclusion.
* Tue Jun 12 2001 - aj@suse.de
- Fix testsuite for sparc.
* Mon Jun 11 2001 - aj@suse.de
- Fix testsuite for powerpc and S390, build again on alpha.
* Tue May 22 2001 - kukuk@suse.de
- Update to current CVS snapshot
- Rmove support for PF_LOCAL from getaddrinfo [Bug #8469]
* Sun May 13 2001 - kukuk@suse.de
- Don't use absolute paths in pre-install-section
* Fri May 04 2001 - kukuk@suse.de
- Add special version.h which fails on compiling kernel modules
* Sat Apr 28 2001 - kukuk@suse.de
- Update to glibc 2.2.3, kernel-headers-2.4.4
* Tue Apr 24 2001 - schwab@suse.de
- Fix feenableexcept on ia64.
* Tue Apr 24 2001 - aj@suse.de
- Install some more UTF-8 locales, fix tr_TR locale.
* Thu Apr 12 2001 - kukuk@suse.de
- Include our own texi2html
* Wed Apr 11 2001 - kukuk@suse.de
- Add fixes from SuSE kernel header files
- Add patch to reload /etc/resolv.conf if there was changes
- Add glibc.conf for susehelp (glibc-html pages)
* Mon Apr 09 2001 - schwab@suse.de
- Fix ld.so for kernel 2.4.3 on ia64.
* Thu Apr 05 2001 - kukuk@suse.de
- Add more fixes from CVS
* Tue Apr 03 2001 - kukuk@suse.de
- Fix isdn header files from kernel-headers
* Fri Mar 30 2001 - kukuk@suse.de
- Update kernel header files to 2.4.3
* Fri Mar 30 2001 - kukuk@suse.de
- Merge s390 patches
- Fix rcmd_af() (allow PF_UNSPEC)
* Fri Mar 30 2001 - aj@suse.de
- Add some small fixes, fix spec file for removal of man-pages.
* Thu Mar 29 2001 - kukuk@suse.de
- Don't provide kernel_headers any longer
- Remove some man-pages which are now official in the man-pages
  package
* Thu Mar 29 2001 - aj@suse.de
- Fix shmfs recognition.
* Thu Mar 29 2001 - ro@suse.de
- added db-splitmask fix from mls (hopefully work around bug in db1)
* Wed Mar 28 2001 - aj@suse.de
- Fix s390 to not generate wrong relocations, work around compiler
  error.
* Wed Mar 21 2001 - kukuk@suse.de
- glibc-devel obsoletes and provides linclude
* Tue Mar 20 2001 - kukuk@suse.de
- Add strtok and other fixes from CVS
- Add yp_all fix
* Tue Mar 13 2001 - kukuk@suse.de
- Add more s390 string.h fixes
* Mon Mar 12 2001 - aj@suse.de
- Add fixes for s390, don't run testsuite on s390 for now.
* Fri Mar 09 2001 - kukuk@suse.de
- Fix linux/init.h header file
* Fri Mar 09 2001 - aj@suse.de
- Handle new EM_S390 value.
* Fri Mar 09 2001 - kukuk@suse.de
- kernel-heaer fixes to build on Alpha
* Thu Mar 08 2001 - ro@suse.de
- update kernel-headers to 2.4.2
* Thu Mar 08 2001 - ro@suse.de
- kernel-header fixes to build on s390
* Thu Feb 22 2001 - schwab@suse.de
- More kernel header fixes for IA64.
* Tue Feb 20 2001 - kukuk@suse.de
- Remove optimisation not supported on all plattforms
* Mon Feb 19 2001 - kukuk@suse.de
- Fix Optimization of glibc build
- Add Optimization for alphaev6 and sparcv9
* Sat Feb 17 2001 - kukuk@suse.de
- Update to glibc 2.2.2 from CVS
* Thu Feb 15 2001 - kukuk@suse.de
- kernel header fixes for SPARC and IA64
* Tue Feb 13 2001 - kukuk@suse.de
- Make optimization for i686 work
- Add manual page for ldd
* Mon Feb 12 2001 - kukuk@suse.de
- Fix more kernel headers
* Thu Feb 08 2001 - kukuk@suse.de
- Fix more kernel-headers
* Wed Feb 07 2001 - kukuk@suse.de
- Delete links in pre install section for glibc-devel
* Wed Feb 07 2001 - kukuk@suse.de
- Fix kernel-header includes
* Tue Feb 06 2001 - kukuk@suse.de
- Fix creating of /usr/include/asm on SPARC
- Add more CVS patches
* Mon Feb 05 2001 - kukuk@suse.de
- Add some patches from CVS
- Include our own kernel header files
* Mon Jan 22 2001 - aj@suse.de
- Add elf patch to fix problems on ia64 and ppc with _dl_pagesize.
* Mon Jan 22 2001 - aj@suse.de
- Fix mmap64 on powerpc.
* Tue Jan 16 2001 - aj@suse.de
- Fix sunrpc-udp.diff, add mman.h fix for powerpc.
* Wed Jan 10 2001 - aj@suse.de
- Add sunrpc-udp.diff to fix UDP timeouts with Linux 2.4 kernel.
* Tue Jan 09 2001 - aj@suse.de
- Add glibc-2.2.secure.diff to close some security holes.
* Wed Jan 03 2001 - schwab@suse.de
- Fix strtol and friends on 64 bit platforms.
- Use 8192 as default pagesize on ia64.
- Scan AUX vector also in statically linked programs.
* Wed Jan 03 2001 - aj@suse.de
- Build some UTF-8 locales using a patch from Markus Kuhn.
* Wed Dec 13 2000 - aj@suse.de
- Add compatibility patch for IPv6 and Linux 2.2.
* Wed Dec 13 2000 - schwab@suse.de
- Update ia64 patch.
* Sat Dec 09 2000 - kukuk@suse.de
- Fix resolver bug
* Fri Dec 01 2000 - kukuk@suse.de
- Add bug fixes for setlocale and strncat
- strip gconv modules
* Fri Nov 24 2000 - kukuk@suse.de
- Fix typo in spec file
* Thu Nov 23 2000 - kukuk@suse.de
- Add hack for POWER3
* Wed Nov 22 2000 - kukuk@suse.de
- Add strncat bugfix for S/390
* Tue Nov 21 2000 - kukuk@suse.de
- Don't bulid 32bit compat packages
* Mon Nov 20 2000 - schwab@suse.de
- Remove use of getpagesize syscall on ia64.
- Follow DT_INIT/DT_FINI change in compiler.
* Sun Nov 19 2000 - kukuk@suse.de
- Minor specfile fixes
* Thu Nov 16 2000 - kukuk@suse.de
- Add lot of more bug fixes
* Tue Nov 14 2000 - kukuk@suse.de
- Add bugfix for static linked binaries/ld.so.cache from aj@suse.de
* Mon Nov 13 2000 - aj@suse.de
- Fix noversion.diff and spec file.
* Sat Nov 11 2000 - kukuk@suse.de
- Fix nssv1 on PowerPC
- no libNoVersion on SPARC
* Fri Nov 10 2000 - kukuk@suse.de
- Disable make check on PowerPC and Alpha
* Fri Nov 10 2000 - kukuk@suse.de
- Update to final glibc 2.2
* Fri Nov 03 2000 - kukuk@suse.de
- Update to glibc-2.2-20001103 (glibc-2.1.97)
- Don't install libNoVersion on PowerPC
- Rename nssv1 -> glibc-nssv1
- Rename libd -> glibc-profile, move libg.a to libc
- Rename libcinfo -> glibc-info
- Rename libchtml -> glibc-html
- Rename localedb -> glibc-i18ndata
- Rename libc -> glibc-devel
- Rename shlibs -> glibc
* Sat Oct 28 2000 - kukuk@suse.de
- Update to glibc-2.2-20001028
- Enable more checks
* Fri Oct 27 2000 - aj@suse.de
- Fix NoVersion patch
* Wed Oct 25 2000 - kukuk@suse.de
- Update to glibc-2.2-20001025
* Sun Oct 22 2000 - kukuk@suse.de
- Update to glibc 2.2-20001021
- Update glibc-db to 2.1.95
- Update ia64 patch
* Fri Oct 20 2000 - kukuk@suse.de
- Update to glibc 2.2-20001020
- Add s390 spec file changes
* Tue Oct 10 2000 - schwab@suse.de
- Update to glibc 2.2-20001009.
- Fix TRAMPOLINE_TEMPLATE for ia64.
* Sun Oct 01 2000 - schwab@suse.de
- Export more ia64 specific symbols.
* Tue Sep 26 2000 - kukuk@suse.de
- Update to glibc 2.2-20000926
* Mon Sep 25 2000 - kukuk@suse.de
- Update to glibc 2.2-20000925 snapshot
* Thu Sep 14 2000 - schwab@suse.de
- Update ia64 patch.
* Fri Sep 08 2000 - bk@suse.de
- added glibc-2.1.3-db2-s390.tar.gz from developerworks (db2 fix)
* Wed Sep 06 2000 - fober@suse.de
- merge s390-7.0 with STABLE:
- upgraded to glibc-linuxthreads-2.1.3.1-s390.diff from 2.1.3
- added new changes from IBM s390 codedrop
- removed glibc-dlopen-2.1.3-s390.diff which is
  incorporated in glibc-linuxthreads-2.1.3.1-s390.diff now
* Tue Sep 05 2000 - kukuk@suse.de
- Add glibc-2.1.security.dif
* Fri Sep 01 2000 - olh@suse.de
- add glibc-2.1-ppc_lfs.dif, enables (hopefully) lfs on ppc
* Wed Aug 30 2000 - olh@suse.de
- remove sysdeps/powerpc/memset.S on ppc for POWER3
* Mon Aug 28 2000 - olh@suse.de
- add glibc-2.1.sgi_fam.dif
- remove sysdeps/rs6000/memcopy.h on ppc for POWER3
* Mon Aug 21 2000 - garloff@suse.de
- Fix race on cond_wait WRT owner of mutex (from olh@suse.de)
* Tue Jul 25 2000 - kukuk@suse.de
- Add mmap fix for PowerPC
* Tue Jul 11 2000 - kukuk@suse.de
- Remove "mutex is owned by current thread" bugfix for IBMs jdk
* Mon Jun 26 2000 - schwab@suse.de
- Update ia64 patch.
* Tue Jun 20 2000 - kukuk@suse.de
- Move html docu in extra package
- Update ia64 patch
* Wed May 31 2000 - kukuk@suse.de
- Remove LICENSE file, it's the same as COPYING.LIB
- Add libc docu as html
* Sun May 28 2000 - kukuk@suse.de
- Fix ldconfig on PPC and IA64
* Sat May 27 2000 - kukuk@suse.de
- Merge new ldconfig fixes
* Fri May 26 2000 - kukuk@suse.de
- Update ia64 patch
* Fri May 26 2000 - kukuk@suse.de
- Fix (f)truncate64 and xdr_uint8_t
* Wed May 24 2000 - kukuk@suse.de
- Fix ldconfig.8 manual page
* Thu May 18 2000 - bk@suse.de
- added s390 dlopen fix
* Tue May 16 2000 - bk@suse.de
- updated s390 patches to match IBM_codedrop_2000_05_15
* Fri May 12 2000 - kukuk@suse.de
- Fix netinet/in.h IPv6 compare
* Fri May 12 2000 - schwab@suse.de
- Update ia64 patches.
* Fri May 12 2000 - kukuk@suse.de
- Don't apply LFS patch
* Tue May 09 2000 - kukuk@suse.de
- Add LFS patches
* Mon May 08 2000 - kukuk@suse.de
- Add lot of bug fixes from CVS
* Tue Apr 25 2000 - kukuk@suse.de
- Fix nscd/getgrnam bug
* Thu Apr 20 2000 - kukuk@suse.de
- Remove /var/mail -> /var/spool/mail patch
- Update nscd.conf.5 manual page
* Wed Apr 12 2000 - kukuk@suse.de
- Add nscd patch from Chris Wing
* Wed Apr 12 2000 - kukuk@suse.de
- Add ldconfig fix from aj@suse.de
* Wed Apr 12 2000 - schwab@suse.de
- More ia64 patches.
- Use libc.so.0, libm.so.0, ld-linux-ia64.so.1 on ia64.
* Mon Apr 10 2000 - kukuk@suse.de
- Support asm-sparc64 and asm-sparc on SPARC
* Mon Apr 10 2000 - kukuk@suse.de
- Create /etc/ld.so.cache always with permissions 0644
- Update ia64 patches
* Thu Apr 06 2000 - schwab@suse.de
- Fix dynamic linker bug in ia64.
- Add ia64 spinlocks for db2.
* Tue Apr 04 2000 - schwab@suse.de
- New IA64 patches.
- Fix ldconfig -p.
* Mon Apr 03 2000 - bk@suse.de
- s390 team added s390 patches
* Wed Mar 22 2000 - kukuk@suse.de
- Fix last SPARC patch
* Tue Mar 21 2000 - kukuk@suse.de
- Add SPARC patches
- Add IA64 patches
* Wed Mar 15 2000 - kukuk@suse.de
- Remove personality call (problematic on Alpha)
- Fix typo in localeconv
- alpha/ioperm.c> Add entry for "Nautilus".
* Tue Mar 07 2000 - kukuk@suse.de
- Add locale SIGSEGV fix
- Fix getdate bug
* Fri Feb 25 2000 - kukuk@suse.de
- Update to final glibc 2.1.3 + fix for bigendian machines
* Thu Feb 24 2000 - kukuk@suse.de
- Update to current glibc cvs snapshot
- Add libnss_dns6.so.2, which makes IPv4 and IPv6 lookups.
  Old libnss_dns.so.2 will only make IPv4 lookups.
* Tue Feb 22 2000 - kukuk@suse.de
- Update to current glibc cvs snapshot (2.1.3pre4)
* Sat Feb 05 2000 - kukuk@suse.de
- Add missing defines for SPARC bits/termios.h
* Thu Feb 03 2000 - kukuk@suse.de
- Add regex patch from Andreas Schwab
* Wed Feb 02 2000 - kukuk@suse.de
- Add ldconfig fix
- Update to current glibc cvs snapshot
- Fix sys/io.h on Intel (C++)
* Mon Jan 24 2000 - kukuk@suse.de
- Fix duplicate setrlimit
* Mon Jan 24 2000 - kukuk@suse.de
- Update to current glibc cvs snapshot
* Wed Jan 19 2000 - kukuk@suse.de
- Update to current glibc cvs snapshot
* Sat Jan 15 2000 - ro@suse.de
-fixed ppc db2-patch
* Fri Jan 14 2000 - kukuk@suse.de
- Add patches for Intel and PPC
* Fri Jan 14 2000 - kukuk@suse.de
- Add patch for SPARC
* Thu Jan 13 2000 - kukuk@suse.de
- Move info pages to /usr/share/info
* Mon Jan 10 2000 - kukuk@suse.de
- Add ipv6 patches for getent
* Mon Jan 10 2000 - kukuk@suse.de
- Move manual pages for applications and config files into
  shlibs package
- Update to current glibc 2.1.3 snapshot
* Fri Dec 17 1999 - kukuk@suse.de
- Add new ldconfig patches
- Add aio patch
- Add fix for bits/string2.h
* Wed Dec 15 1999 - kukuk@suse.de
- add ldconfig.8
* Wed Dec 15 1999 - kukuk@suse.de
- Update to current glibc 2.1.3 snapshot
- Fix get/setrlimit problems
* Thu Dec 09 1999 - kukuk@suse.de
- Update to current glibc 2.1.3 snapshot
- Add new ldconfig
* Sun Dec 05 1999 - kukuk@suse.de
- Disable make check for SPARC (kernel bug)
- Add setrlimit patches
- Update to current glibc 2.1.3 snapshot
* Fri Nov 26 1999 - kukuk@suse.de
- Update to current glibc 2.1.3 snapshot.
* Tue Oct 26 1999 - kukuk@suse.de
- Add fix for correct accounting of needed bytes (gethnamaddr.c)
- Remove not exported, public names from internal md5 functions
* Mon Oct 25 1999 - kukuk@suse.de
- Add fix for missing nexttowardl aliase
* Tue Oct 19 1999 - kukuk@suse.de
- Add security fix for iruserok
* Sat Oct 16 1999 - kukuk@suse.de
- Build libNoVersion.so.1 on every platform
* Mon Oct 11 1999 - kukuk@suse.de
- Add linuxthreads/signals.c fix from Andreas Schwab
- Remove dangling symlink (Bug #544)
- Add more bug fixes
* Fri Oct 08 1999 - kukuk@suse.de
- Add timezone update
* Fri Oct 08 1999 - kukuk@suse.de
- Add NIS+ shadow parser fix
* Thu Oct 07 1999 - kukuk@suse.de
- Update to official glibc 2.1.2, add important fixes
- Update nscd, add manual pages for it
* Mon Sep 20 1999 - ro@suse.de
- libc: added requires kernel_headers
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 06 1999 - kukuk@suse.de
- Update to current glibc 2.1.2 cvs snapshot
- Remove use auf automake in spec file
* Fri Sep 03 1999 - kukuk@suse.de
- Update to current glibc 2.1.2 cvs snapshot
- Use RPM macros for configure
* Wed Aug 25 1999 - kukuk@suse.de
- Update to current glibc 2.1.2 cvs snapshot
* Thu Aug 19 1999 - kukuk@suse.de
- Add PowerPC patches from Uli Hecht
- Cleanup of SPEC file
- Create a profiling version
* Sat Aug 14 1999 - kukuk@suse.de
- disable nscd hosts caching by default
- Apply patch from HJL for broken gethostbyname_r in libnss_dns
* Fri Jul 16 1999 - kukuk@suse.de
- Add header fix for autoconf/g++
- Move pt_chown and gconv modules from libc to shlibs
* Wed Jul 14 1999 - kukuk@suse.de
- Remove /etc/localtime from filelist
* Mon Jul 12 1999 - kukuk@suse.de
- Add more bug fixes from cvs
- Add ld.so bug fix from Andreas Schwab
* Thu Jul 08 1999 - kukuk@suse.de
- configure for i386-unknown-linux
* Wed Jul 07 1999 - kukuk@suse.de
- Remove alpha patch, it's now in glibc 2.1.2 cvs
- Add more bug fixes from cvs
- Remove malloc patch (breaks StarOffice)
* Tue Jul 06 1999 - kukuk@suse.de
- Add openpty patch from Andreas Schwab
  (openpty now works if /dev/pts is not mounted)
* Fri Jul 02 1999 - kukuk@suse.de
- Remove warning von zic about symlinks.
* Mon Jun 28 1999 - kukuk@suse.de
- Remove ndbm links, now in gdbm
* Fri Jun 25 1999 - kukuk@suse.de
- Add a lot of more fixes
- Add nscd fixes and enable nscd on alpha
* Mon Jun 14 1999 - kukuk@suse.de
- Add nss_dns and fget* fixes.
- Add nscd patches for NIS+
* Thu Jun 10 1999 - kukuk@suse.de
- Fix daemon() for MT programs
- Add libio fixes
* Fri May 28 1999 - kukuk@suse.de
- Add fix for docu
- Disable nscd for alpha again
* Wed May 26 1999 - kukuk@suse.de
- Update to version 2.1.1
* Mon May 17 1999 - kukuk@suse.de
- Update to snapshot from 16.5.1999
- Add manpages
- Add __setfpucw to libNoVersion (intel)
- Add COPYING and COPYING.LIB
* Fri May 07 1999 - kukuk@suse.de
- Update to snapshot from 6.5.1999
- Add NoVersion patches from RedHat for miscompiled glibc 2.0 apps
- Add patch for Alpha RX164
- Add workaround for nscd on Alpha
* Wed Apr 28 1999 - kukuk@suse.de
- Remove latest fnmatch patches from Uli Drepper
* Tue Apr 27 1999 - kukuk@suse.de
- update to cvs version of Apr 26 1999
- fix pmap_set/pmap_unset for DHCP clients
- Rename libdb1.so.2[.1] to libdb.so.2[.1] since we don't create
  the symbolic links.
* Tue Apr 20 1999 - kukuk@suse.de
- update to cvs version of Apr 20 1999
- remove sunrpc.diff
- fix nssv1 package
- only include nscd on intel
- install /etc/nscd.conf
* Mon Apr 12 1999 - kukuk@suse.de
- update to cvs version of Apr 11 1999
- Fix paths in paths.h
- install linuxthreads man pages and documentation
- Add sunrpc patch for Alpha and security fixes
- added links for el_GR and ru_RU.KOI8-R in usr/share/locale
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Tue Mar 16 1999 - ro@suse.de
- libc.texinfo: changed to build with stable texinfo version
* Mon Mar 15 1999 - ro@suse.de
- update to 2.1.1 (cvs of Mar 15 1999)
- update nssv1 to 2.0.2
* Sat Feb 20 1999 - ro@suse.de
- fixed specfile (lddlibc4 not built on alpha)
* Sat Feb 20 1999 - ro@suse.de
- fixed specfile ...
* Sat Feb 20 1999 - ro@suse.de
- added automake to neededforbuild
* Sat Feb 20 1999 - ro@suse.de
- added nss-v1 modules (to keep old rpm happy with file owners)
* Fri Feb 19 1999 - ro@suse.de
- update to cvs-version of 1999/02/18
* Fri Sep 25 1998 - ro@suse.de
- fixed specfile
* Fri Sep 25 1998 - ro@suse.de
- update: use cvs-version of 980925
  edited db/Makefile to ignore messed up target-dependency
* Mon Sep 21 1998 - ro@suse.de
- update: use cvs-version of 980921
* Mon Sep 14 1998 - ro@suse.de
- update: use today's cvs-version
* Wed Sep 02 1998 - ro@suse.de
- build for 586 since egcs generates code for 686 that does NOT run
  on 586 !!! (eg strtok)
* Sat Aug 22 1998 - ro@suse.de
- updated to cvs-version 20.8.98
  added gettext as neededforbuild (so configure shuts up)
  glibc-linuxthreads is contained in main archive now
* Tue Jun 16 1998 - ro@suse.de
- added symlink usr/include/X11
* Thu May 28 1998 - ro@suse.de
- added symlinks to linux include files
* Thu May 28 1998 - bs@suse.de
- moved ".so" Links to package libc.
* Wed May 27 1998 - bs@suse.de
- changed version do `date`
* Wed May 27 1998 - ro@suse.de
- created specfile to build libc, shlibs, libd, libcinfo
  localedb, timezone,
- former libc renamed to libc5.
